// This is code common to all methods.
// Include a method file to see it in action.
// Include only one method file at a time for intended results.

/*
Maptext is better than icon-text in that you can easily use
all the font families, colors, styles, sizes, etc. installed on
your clients' computers without filling the rsc with text icons.
Since maptext is drawn by the client, it's also way more efficient.

todo: outlined text demo.
	Basically,
		create 4 underlays,
		offset each by 1 pixel for every cardinal direction,
		set them to the same text but with a different color,
		and you're done.
*/
#include <kaiochao/shapes/shapes.dme>

world
	fps = 60
	maxx = 11
	maxy = 11
	turf = /turf/grass
	mob = /mob/player

atom
	icon = 'shapes.dmi'

turf
	icon_state = "rect"
	grass
		color = "green"
		New() color = rgb(0, rand(120, 125), 0) // for variation

mob
	icon_state = "oval"
	step_size = 4

	player
		color = "navy"

		Login()
			loc = locate(6, 6, 1)
			show_nametag() // show the nametag immediately
			winset(src, ":map", "font-family='tempus sans itc'")
			..()

		verb
			// These will be filled in by the various methods.
			show_nametag()
			hide_nametag()
			change_name(t as text) name = t